<?php

namespace Cas\Account\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AccountTransformer extends TransformerAbstract
{
    public function transform(\Cas\Account\Models\Account $account)
    {
        return [
            'id'                => $account->getRouteKey(),
            'key'               => [
                'public'    => $account->getPublicKey(),
                'route'     => $account->getRouteKey(),
            ], 
            'id'                => $account->id,
            'user_id'           => $account->user_id,
            'user_type'         => $account->user_type,
            'project_id'        => $account->project_id,
            'payment_type'      => $account->payment_type,
            'payment_date'      => $account->payment_date,
            'debit'             => $account->debit,
            'credit'            => $account->credit,
            'details'           => $account->details,
            'created_at'        => $account->created_at,
            'updated_at'        => $account->updated_at,
            'deleted_at'        => $account->deleted_at,
            'url'               => [
                'public'    => trans_url('account/'.$account->getPublicKey()),
                'user'      => guard_url('account/account/'.$account->getRouteKey()),
            ], 
            'status'            => trans('app.'.$account->status),
            'created_at'        => format_date($account->created_at),
            'updated_at'        => format_date($account->updated_at),
        ];
    }
}